<?php

/*******************************************************************************
 * eredeti url: http://www.archline.hu/version/aktivalasikod/SERIALNUMBER/ISID/IDOKOD
 ******************************************************************************/
error_reporting(E_ERROR | E_PARSE);
if (!class_exists('crm_hardlock')) require_once("common_cadline_libraries/crm_hardlock.class.php");

$serial = $_GET['serial']; // segment(3);
$isid = $_GET['isid']; // segment(4);
$kod = $_GET['kod']; // segment(5);

crm_hardlock::correctIsid($isid);
$aktkod = crm_hardlock::GetOrGenerateTimeCode($serial, $isid, $kod);
crm_hardlock::_Hibajelento("aktivalasikod", substr($serial, 0, 6), "valasz: " . $aktkod);

print $aktkod;
